Skip to content

Print receipt on terminal when payment is PAID

Request

Security
OAuth2ClientCredentials(Required scopes: organization:payflow:create)
Path
payment_idstring(Payment Id)required
Headers
X-Organization-Idstring(X-Organization-Id)

Required if the account is part of multiple organizations. If the account only has access to one organization, this header is not required.

POST
/payments/{payment_id}/receipts/terminal/print
curl -i -X POST \
  'https://api.spensepay.com/partner/payments/{payment_id}/receipts/terminal/print' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'X-Organization-Id: string'

Responses

Successful Response

Bodyapplication/json
property name*anyadditional property
Response
{}